snd_pcm_hw_constraint_minmax
Prev | Chapter 22. Sound Devices | Next

## Name

snd_pcm_hw_constraint_minmax —

## Synopsis

`int snd_pcm_hw_constraint_minmax (` | struct snd_pcm_runtime * | runtime,
| snd_pcm_hw_param_t | var,
| unsigned int | min,
| unsigned int | max`)`;

## Arguments

`runtime`

  PCM runtime instance

`var`

  hw_params variable to apply the range

`min`

  the minimal value

`max`

  the maximal value

## Description

Apply the min/max range constraint to an interval parameter.

Prev | Up | Next
snd_pcm_hw_constraint_integer | Home | snd_pcm_hw_constraint_list